(define (problem transport-three-cities-sequential-4nodes-1000size-2degree-100mindistance-2trucks-5packages-2008seed)
(:domain transport)
(:objects
          city-1-loc-1 - location
          city-2-loc-1 - location
          city-3-loc-1 - location
          city-1-loc-2 - location
          city-2-loc-2 - location
          city-3-loc-2 - location
          city-1-loc-3 - location
          city-2-loc-3 - location
          city-3-loc-3 - location
          city-1-loc-4 - location
          city-2-loc-4 - location
          city-3-loc-4 - location
          truck-1 - vehicle
          truck-2 - vehicle
          package-1 - package
          package-2 - package
          package-3 - package
          package-4 - package
          package-5 - package
          capacity-0 - capacity-number
          capacity-1 - capacity-number
          capacity-2 - capacity-number
          capacity-3 - capacity-number
          capacity-4 - capacity-number
          )
(:INIT
          (= (total-cost ) 0)
          (capacity-predecessor capacity-0 capacity-1)
          (capacity-predecessor capacity-1 capacity-2)
          (capacity-predecessor capacity-2 capacity-3)
          (capacity-predecessor capacity-3 capacity-4)
          (road city-1-loc-3 city-1-loc-1)
          (= (road-length city-1-loc-3 city-1-loc-1) 43)
          (road city-1-loc-1 city-1-loc-3)
          (= (road-length city-1-loc-1 city-1-loc-3) 43)
          (road city-1-loc-3 city-1-loc-2)
          (= (road-length city-1-loc-3 city-1-loc-2) 43)
          (road city-1-loc-2 city-1-loc-3)
          (= (road-length city-1-loc-2 city-1-loc-3) 43)
          (road city-1-loc-4 city-1-loc-1)
          (= (road-length city-1-loc-4 city-1-loc-1) 43)
          (road city-1-loc-1 city-1-loc-4)
          (= (road-length city-1-loc-1 city-1-loc-4) 43)
          (road city-1-loc-4 city-1-loc-3)
          (= (road-length city-1-loc-4 city-1-loc-3) 30)
          (road city-1-loc-3 city-1-loc-4)
          (= (road-length city-1-loc-3 city-1-loc-4) 30)
          (road city-2-loc-2 city-2-loc-1)
          (= (road-length city-2-loc-2 city-2-loc-1) 35)
          (road city-2-loc-1 city-2-loc-2)
          (= (road-length city-2-loc-1 city-2-loc-2) 35)
          (road city-2-loc-3 city-2-loc-2)
          (= (road-length city-2-loc-3 city-2-loc-2) 39)
          (road city-2-loc-2 city-2-loc-3)
          (= (road-length city-2-loc-2 city-2-loc-3) 39)
          (road city-2-loc-4 city-2-loc-1)
          (= (road-length city-2-loc-4 city-2-loc-1) 17)
          (road city-2-loc-1 city-2-loc-4)
          (= (road-length city-2-loc-1 city-2-loc-4) 17)
          (road city-2-loc-4 city-2-loc-2)
          (= (road-length city-2-loc-4 city-2-loc-2) 23)
          (road city-2-loc-2 city-2-loc-4)
          (= (road-length city-2-loc-2 city-2-loc-4) 23)
          (road city-2-loc-4 city-2-loc-3)
          (= (road-length city-2-loc-4 city-2-loc-3) 47)
          (road city-2-loc-3 city-2-loc-4)
          (= (road-length city-2-loc-3 city-2-loc-4) 47)
          (road city-3-loc-2 city-3-loc-1)
          (= (road-length city-3-loc-2 city-3-loc-1) 29)
          (road city-3-loc-1 city-3-loc-2)
          (= (road-length city-3-loc-1 city-3-loc-2) 29)
          (road city-3-loc-3 city-3-loc-1)
          (= (road-length city-3-loc-3 city-3-loc-1) 21)
          (road city-3-loc-1 city-3-loc-3)
          (= (road-length city-3-loc-1 city-3-loc-3) 21)
          (road city-3-loc-4 city-3-loc-3)
          (= (road-length city-3-loc-4 city-3-loc-3) 42)
          (road city-3-loc-3 city-3-loc-4)
          (= (road-length city-3-loc-3 city-3-loc-4) 42)
          (road city-1-loc-1 city-2-loc-2)
          (= (road-length city-1-loc-1 city-2-loc-2) 139)
          (road city-2-loc-2 city-1-loc-1)
          (= (road-length city-2-loc-2 city-1-loc-1) 139)
          (road city-1-loc-4 city-3-loc-4)
          (= (road-length city-1-loc-4 city-3-loc-4) 190)
          (road city-3-loc-4 city-1-loc-4)
          (= (road-length city-3-loc-4 city-1-loc-4) 190)
          (road city-2-loc-1 city-3-loc-1)
          (= (road-length city-2-loc-1 city-3-loc-1) 157)
          (road city-3-loc-1 city-2-loc-1)
          (= (road-length city-3-loc-1 city-2-loc-1) 157)
          (at package-1 city-1-loc-1)
          (at package-2 city-3-loc-1)
          (at package-3 city-2-loc-2)
          (at package-4 city-1-loc-3)
          (at package-5 city-2-loc-3)
          (at truck-1 city-1-loc-4)
          (capacity truck-1 capacity-3)
          (at truck-2 city-1-loc-1)
          (capacity truck-2 capacity-3)
          )
(:goal
          (and
               (at package-1 city-2-loc-3)
               (at package-2 city-2-loc-3)
               (at package-3 city-2-loc-3)
               (at package-4 city-2-loc-1)
               (at package-5 city-2-loc-4)
          )
          )
(:metric minimize (total-cost))
)
