(define (problem wood-prob)
(:domain woodworking)
(:objects
          verysmooth - surface
          smooth - surface
          rough - surface
          varnished - treatmentstatus
          glazed - treatmentstatus
          untreated - treatmentstatus
          colourfragments - treatmentstatus
          natural - acolour
          small - apartsize
          medium - apartsize
          large - apartsize
          grinder0 - grinder
          glazer0 - glazer
          immersion-varnisher0 - immersion-varnisher
          planer0 - planer
          highspeed-saw0 - highspeed-saw
          spray-varnisher0 - spray-varnisher
          saw0 - saw
          green - acolour
          mauve - acolour
          cherry - awood
          beech - awood
          p0 - part
          p1 - part
          p2 - part
          b0 - board
          b1 - board
          s0 - aboardsize
          s1 - aboardsize
          s2 - aboardsize
          s3 - aboardsize
          )
(:INIT
          (grind-treatment-change varnished colourfragments)
          (grind-treatment-change glazed untreated)
          (grind-treatment-change untreated untreated)
          (grind-treatment-change colourfragments untreated)
          (is-smooth smooth)
          (is-smooth verysmooth)
          (= (total-cost ) 0)
          (boardsize-successor s0 s1)
          (boardsize-successor s1 s2)
          (boardsize-successor s2 s3)
          (has-colour glazer0 mauve)
          (has-colour glazer0 green)
          (has-colour immersion-varnisher0 mauve)
          (empty highspeed-saw0)
          (has-colour spray-varnisher0 mauve)
          (unused p0)
          (goalsize p0 medium)
          (= (spray-varnish-cost p0) 10)
          (= (glaze-cost p0) 15)
          (= (grind-cost p0) 30)
          (= (plane-cost p0) 20)
          (unused p1)
          (goalsize p1 medium)
          (= (spray-varnish-cost p1) 10)
          (= (glaze-cost p1) 15)
          (= (grind-cost p1) 30)
          (= (plane-cost p1) 20)
          (available p2)
          (colour p2 natural)
          (wood p2 beech)
          (surface-condition p2 verysmooth)
          (treatment p2 colourfragments)
          (goalsize p2 small)
          (= (spray-varnish-cost p2) 5)
          (= (glaze-cost p2) 10)
          (= (grind-cost p2) 15)
          (= (plane-cost p2) 10)
          (boardsize b0 s3)
          (wood b0 beech)
          (surface-condition b0 rough)
          (available b0)
          (boardsize b1 s3)
          (wood b1 cherry)
          (surface-condition b1 rough)
          (available b1)
          (is_constant_verysmooth verysmooth)
          (is_constant_smooth smooth)
          (is_constant_rough rough)
          (is_constant_varnished varnished)
          (is_constant_glazed glazed)
          (is_constant_untreated untreated)
          (is_constant_colourfragments colourfragments)
          (is_constant_natural natural)
          (is_constant_small small)
          (is_constant_medium medium)
          (is_constant_large large)
          )
(:goal
          (and
               (available p0)
               (colour p0 mauve)
               (wood p0 beech)
               (surface-condition p0 verysmooth)
               (treatment p0 varnished)
               (available p1)
               (colour p1 green)
               (wood p1 cherry)
               (surface-condition p1 smooth)
               (treatment p1 glazed)
               (available p2)
               (colour p2 mauve)
               (wood p2 beech)
          )
          )
(:metric minimize (total-cost))
)
