(define (problem wood-prob)
(:domain woodworking)
(:objects
          verysmooth - surface
          smooth - surface
          rough - surface
          varnished - treatmentstatus
          glazed - treatmentstatus
          untreated - treatmentstatus
          colourfragments - treatmentstatus
          natural - acolour
          small - apartsize
          medium - apartsize
          large - apartsize
          grinder0 - grinder
          glazer0 - glazer
          immersion-varnisher0 - immersion-varnisher
          planer0 - planer
          highspeed-saw0 - highspeed-saw
          spray-varnisher0 - spray-varnisher
          saw0 - saw
          black - acolour
          white - acolour
          red - acolour
          green - acolour
          mauve - acolour
          blue - acolour
          walnut - awood
          beech - awood
          teak - awood
          p0 - part
          p1 - part
          p2 - part
          p3 - part
          p4 - part
          p5 - part
          p6 - part
          p7 - part
          p8 - part
          p9 - part
          b0 - board
          b1 - board
          b2 - board
          s0 - aboardsize
          s1 - aboardsize
          s2 - aboardsize
          s3 - aboardsize
          s4 - aboardsize
          s5 - aboardsize
          s6 - aboardsize
          s7 - aboardsize
          s8 - aboardsize
          )
(:INIT
          (grind-treatment-change varnished colourfragments)
          (grind-treatment-change glazed untreated)
          (grind-treatment-change untreated untreated)
          (grind-treatment-change colourfragments untreated)
          (is-smooth smooth)
          (is-smooth verysmooth)
          (= (total-cost ) 0)
          (boardsize-successor s0 s1)
          (boardsize-successor s1 s2)
          (boardsize-successor s2 s3)
          (boardsize-successor s3 s4)
          (boardsize-successor s4 s5)
          (boardsize-successor s5 s6)
          (boardsize-successor s6 s7)
          (boardsize-successor s7 s8)
          (has-colour glazer0 mauve)
          (has-colour glazer0 white)
          (has-colour glazer0 green)
          (has-colour glazer0 red)
          (has-colour immersion-varnisher0 mauve)
          (has-colour immersion-varnisher0 red)
          (empty highspeed-saw0)
          (has-colour spray-varnisher0 mauve)
          (has-colour spray-varnisher0 red)
          (unused p0)
          (goalsize p0 large)
          (= (spray-varnish-cost p0) 15)
          (= (glaze-cost p0) 20)
          (= (grind-cost p0) 45)
          (= (plane-cost p0) 30)
          (unused p1)
          (goalsize p1 small)
          (= (spray-varnish-cost p1) 5)
          (= (glaze-cost p1) 10)
          (= (grind-cost p1) 15)
          (= (plane-cost p1) 10)
          (unused p2)
          (goalsize p2 medium)
          (= (spray-varnish-cost p2) 10)
          (= (glaze-cost p2) 15)
          (= (grind-cost p2) 30)
          (= (plane-cost p2) 20)
          (unused p3)
          (goalsize p3 medium)
          (= (spray-varnish-cost p3) 10)
          (= (glaze-cost p3) 15)
          (= (grind-cost p3) 30)
          (= (plane-cost p3) 20)
          (unused p4)
          (goalsize p4 small)
          (= (spray-varnish-cost p4) 5)
          (= (glaze-cost p4) 10)
          (= (grind-cost p4) 15)
          (= (plane-cost p4) 10)
          (unused p5)
          (goalsize p5 medium)
          (= (spray-varnish-cost p5) 10)
          (= (glaze-cost p5) 15)
          (= (grind-cost p5) 30)
          (= (plane-cost p5) 20)
          (unused p6)
          (goalsize p6 medium)
          (= (spray-varnish-cost p6) 10)
          (= (glaze-cost p6) 15)
          (= (grind-cost p6) 30)
          (= (plane-cost p6) 20)
          (unused p7)
          (goalsize p7 small)
          (= (spray-varnish-cost p7) 5)
          (= (glaze-cost p7) 10)
          (= (grind-cost p7) 15)
          (= (plane-cost p7) 10)
          (available p8)
          (colour p8 white)
          (wood p8 walnut)
          (surface-condition p8 rough)
          (treatment p8 colourfragments)
          (goalsize p8 large)
          (= (spray-varnish-cost p8) 15)
          (= (glaze-cost p8) 20)
          (= (grind-cost p8) 45)
          (= (plane-cost p8) 30)
          (unused p9)
          (goalsize p9 small)
          (= (spray-varnish-cost p9) 5)
          (= (glaze-cost p9) 10)
          (= (grind-cost p9) 15)
          (= (plane-cost p9) 10)
          (boardsize b0 s8)
          (wood b0 beech)
          (surface-condition b0 rough)
          (available b0)
          (boardsize b1 s6)
          (wood b1 teak)
          (surface-condition b1 rough)
          (available b1)
          (boardsize b2 s5)
          (wood b2 walnut)
          (surface-condition b2 smooth)
          (available b2)
          (is_constant_verysmooth verysmooth)
          (is_constant_smooth smooth)
          (is_constant_rough rough)
          (is_constant_varnished varnished)
          (is_constant_glazed glazed)
          (is_constant_untreated untreated)
          (is_constant_colourfragments colourfragments)
          (is_constant_natural natural)
          (is_constant_small small)
          (is_constant_medium medium)
          (is_constant_large large)
          )
(:goal
          (and
               (available p0)
               (colour p0 mauve)
               (surface-condition p0 smooth)
               (available p1)
               (surface-condition p1 verysmooth)
               (treatment p1 glazed)
               (available p2)
               (wood p2 teak)
               (treatment p2 glazed)
               (available p3)
               (wood p3 teak)
               (surface-condition p3 smooth)
               (treatment p3 glazed)
               (available p4)
               (wood p4 teak)
               (surface-condition p4 verysmooth)
               (available p5)
               (colour p5 white)
               (wood p5 walnut)
               (surface-condition p5 verysmooth)
               (treatment p5 glazed)
               (available p6)
               (colour p6 green)
               (wood p6 beech)
               (treatment p6 glazed)
               (available p7)
               (surface-condition p7 verysmooth)
               (treatment p7 glazed)
               (available p8)
               (wood p8 walnut)
               (surface-condition p8 verysmooth)
               (available p9)
               (colour p9 red)
               (surface-condition p9 smooth)
          )
          )
(:metric minimize (total-cost))
)
