(define (problem wood-prob)
(:domain woodworking)
(:objects
          verysmooth - surface
          smooth - surface
          rough - surface
          varnished - treatmentstatus
          glazed - treatmentstatus
          untreated - treatmentstatus
          colourfragments - treatmentstatus
          natural - acolour
          small - apartsize
          medium - apartsize
          large - apartsize
          grinder0 - grinder
          glazer0 - glazer
          immersion-varnisher0 - immersion-varnisher
          planer0 - planer
          highspeed-saw0 - highspeed-saw
          spray-varnisher0 - spray-varnisher
          saw0 - saw
          black - acolour
          mauve - acolour
          white - acolour
          green - acolour
          red - acolour
          blue - acolour
          teak - awood
          mahogany - awood
          walnut - awood
          p0 - part
          p1 - part
          p2 - part
          p3 - part
          p4 - part
          p5 - part
          p6 - part
          p7 - part
          p8 - part
          p9 - part
          p10 - part
          p11 - part
          b0 - board
          b1 - board
          b2 - board
          b3 - board
          b4 - board
          s0 - aboardsize
          s1 - aboardsize
          s2 - aboardsize
          s3 - aboardsize
          s4 - aboardsize
          s5 - aboardsize
          s6 - aboardsize
          s7 - aboardsize
          s8 - aboardsize
          s9 - aboardsize
          s10 - aboardsize
          s11 - aboardsize
          s12 - aboardsize
          )
(:INIT
          (grind-treatment-change varnished colourfragments)
          (grind-treatment-change glazed untreated)
          (grind-treatment-change untreated untreated)
          (grind-treatment-change colourfragments untreated)
          (is-smooth smooth)
          (is-smooth verysmooth)
          (= (total-cost ) 0)
          (boardsize-successor s0 s1)
          (boardsize-successor s1 s2)
          (boardsize-successor s2 s3)
          (boardsize-successor s3 s4)
          (boardsize-successor s4 s5)
          (boardsize-successor s5 s6)
          (boardsize-successor s6 s7)
          (boardsize-successor s7 s8)
          (boardsize-successor s8 s9)
          (boardsize-successor s9 s10)
          (boardsize-successor s10 s11)
          (boardsize-successor s11 s12)
          (has-colour glazer0 green)
          (has-colour glazer0 white)
          (has-colour glazer0 black)
          (has-colour glazer0 red)
          (has-colour immersion-varnisher0 white)
          (has-colour immersion-varnisher0 green)
          (has-colour immersion-varnisher0 red)
          (empty highspeed-saw0)
          (has-colour spray-varnisher0 white)
          (has-colour spray-varnisher0 green)
          (has-colour spray-varnisher0 red)
          (unused p0)
          (goalsize p0 small)
          (= (spray-varnish-cost p0) 5)
          (= (glaze-cost p0) 10)
          (= (grind-cost p0) 15)
          (= (plane-cost p0) 10)
          (unused p1)
          (goalsize p1 large)
          (= (spray-varnish-cost p1) 15)
          (= (glaze-cost p1) 20)
          (= (grind-cost p1) 45)
          (= (plane-cost p1) 30)
          (unused p2)
          (goalsize p2 large)
          (= (spray-varnish-cost p2) 15)
          (= (glaze-cost p2) 20)
          (= (grind-cost p2) 45)
          (= (plane-cost p2) 30)
          (available p3)
          (colour p3 blue)
          (wood p3 teak)
          (surface-condition p3 verysmooth)
          (treatment p3 varnished)
          (goalsize p3 small)
          (= (spray-varnish-cost p3) 5)
          (= (glaze-cost p3) 10)
          (= (grind-cost p3) 15)
          (= (plane-cost p3) 10)
          (unused p4)
          (goalsize p4 medium)
          (= (spray-varnish-cost p4) 10)
          (= (glaze-cost p4) 15)
          (= (grind-cost p4) 30)
          (= (plane-cost p4) 20)
          (unused p5)
          (goalsize p5 medium)
          (= (spray-varnish-cost p5) 10)
          (= (glaze-cost p5) 15)
          (= (grind-cost p5) 30)
          (= (plane-cost p5) 20)
          (unused p6)
          (goalsize p6 large)
          (= (spray-varnish-cost p6) 15)
          (= (glaze-cost p6) 20)
          (= (grind-cost p6) 45)
          (= (plane-cost p6) 30)
          (unused p7)
          (goalsize p7 large)
          (= (spray-varnish-cost p7) 15)
          (= (glaze-cost p7) 20)
          (= (grind-cost p7) 45)
          (= (plane-cost p7) 30)
          (unused p8)
          (goalsize p8 large)
          (= (spray-varnish-cost p8) 15)
          (= (glaze-cost p8) 20)
          (= (grind-cost p8) 45)
          (= (plane-cost p8) 30)
          (unused p9)
          (goalsize p9 medium)
          (= (spray-varnish-cost p9) 10)
          (= (glaze-cost p9) 15)
          (= (grind-cost p9) 30)
          (= (plane-cost p9) 20)
          (unused p10)
          (goalsize p10 medium)
          (= (spray-varnish-cost p10) 10)
          (= (glaze-cost p10) 15)
          (= (grind-cost p10) 30)
          (= (plane-cost p10) 20)
          (unused p11)
          (goalsize p11 large)
          (= (spray-varnish-cost p11) 15)
          (= (glaze-cost p11) 20)
          (= (grind-cost p11) 45)
          (= (plane-cost p11) 30)
          (boardsize b0 s6)
          (wood b0 teak)
          (surface-condition b0 rough)
          (available b0)
          (boardsize b1 s12)
          (wood b1 mahogany)
          (surface-condition b1 rough)
          (available b1)
          (boardsize b2 s2)
          (wood b2 mahogany)
          (surface-condition b2 smooth)
          (available b2)
          (boardsize b3 s11)
          (wood b3 walnut)
          (surface-condition b3 rough)
          (available b3)
          (boardsize b4 s3)
          (wood b4 walnut)
          (surface-condition b4 smooth)
          (available b4)
          (is_constant_verysmooth verysmooth)
          (is_constant_smooth smooth)
          (is_constant_rough rough)
          (is_constant_varnished varnished)
          (is_constant_glazed glazed)
          (is_constant_untreated untreated)
          (is_constant_colourfragments colourfragments)
          (is_constant_natural natural)
          (is_constant_small small)
          (is_constant_medium medium)
          (is_constant_large large)
          )
(:goal
          (and
               (available p0)
               (wood p0 walnut)
               (surface-condition p0 smooth)
               (available p1)
               (wood p1 mahogany)
               (treatment p1 varnished)
               (available p2)
               (colour p2 white)
               (wood p2 mahogany)
               (available p3)
               (colour p3 red)
               (wood p3 teak)
               (surface-condition p3 verysmooth)
               (treatment p3 glazed)
               (available p4)
               (colour p4 black)
               (wood p4 walnut)
               (surface-condition p4 verysmooth)
               (treatment p4 glazed)
               (available p5)
               (surface-condition p5 smooth)
               (treatment p5 glazed)
               (available p6)
               (wood p6 mahogany)
               (treatment p6 glazed)
               (available p7)
               (colour p7 green)
               (wood p7 walnut)
               (available p8)
               (colour p8 red)
               (treatment p8 varnished)
               (available p9)
               (colour p9 white)
               (wood p9 mahogany)
               (surface-condition p9 verysmooth)
               (treatment p9 varnished)
               (available p10)
               (colour p10 black)
               (wood p10 walnut)
               (surface-condition p10 verysmooth)
               (treatment p10 glazed)
               (available p11)
               (surface-condition p11 smooth)
               (treatment p11 varnished)
          )
          )
(:metric minimize (total-cost))
)
