(define (domain upp)
 (:types size_t - object location_t - object side_t - object color_t - object image_t - object timepoint_t - object resource_t - object action_t - object sheet_t - object)
 (:predicates (sheetsize ?sheet - sheet_t ?size - size_t) (location ?sheet - sheet_t ?location - location_t) (hasimage ?sheet - sheet_t ?side - side_t ?image - image_t) (sideup ?sheet - sheet_t ?side - side_t) (stackedin ?sheet - sheet_t ?location - location_t) (imagecolor ?image - image_t ?color - color_t) (notprintedwith ?sheet - sheet_t ?side - side_t ?color - color_t) (oppositeside ?side1 - side_t ?side2 - side_t) (timepoint ?sheet - sheet_t ?timepoint - timepoint_t) (hasallrsrcs ?sheet - sheet_t ?action - action_t) (available ?resource - resource_t) (prevsheet ?sheet1 - sheet_t ?sheet2 - sheet_t) (uninitialized))
 (:constants letter - size_t black - color_t color - color_t front - side_t back - side_t some_feeder_tray - location_t some_finisher_tray - location_t endcap_entry-blackcontainer_exit - location_t htmoverblack_entry-endcap_exit - location_t htmoverblack_exit-down_topentry - location_t colorcontainer_entry-down_bottomexit - location_t colorcontainer_exittoime-colorprinter_entry - location_t colorprinter_exit-colorcontainer_entryfromime - location_t colorcontainer_exit-up_bottomentry - location_t down_bottomentry-colorfeeder_exit - location_t blackcontainer_entry-blackfeeder_exit - location_t down_topexit-htmovercolor_entry - location_t htmovercolor_exit-up_topentry - location_t blackcontainer_exittoime-blackprinter_entry - location_t blackprinter_exit-blackcontainer_entryfromime - location_t finisher1_entry-up_topexit - location_t finisher2_entry-finisher1_exit - location_t finisher1_tray - location_t finisher2_exit - location_t finisher2_tray - location_t colorcontainer-toime-letter-t0 - timepoint_t colorprinter-simplex-letter-t0 - timepoint_t colorprinter-simplexmono-letter-t0 - timepoint_t colorfeeder-feed-letter-t0 - timepoint_t blackfeeder-feed-letter-t0 - timepoint_t down-movebottom-letter-t1 - timepoint_t down-movedown-letter-t1 - timepoint_t blackprinter-simplex-letter-t0 - timepoint_t blackprinter-simplexandinvert-letter-t0 - timepoint_t up-movetop-letter-t1 - timepoint_t up-moveup-letter-t1 - timepoint_t finisher1-stack-letter-t0 - timepoint_t finisher2-stack-letter-t0 - timepoint_t colorcontainer_roller-rsrc - resource_t colorprinter_drum-rsrc - resource_t colorfeeder_exitnip-rsrc - resource_t blackfeeder_exitnip-rsrc - resource_t down_bottomexitnip-rsrc - resource_t blackprinter_drum-rsrc - resource_t up_topexitnip-rsrc - resource_t finisher1_entrynip-rsrc - resource_t finisher2_entrynip-rsrc - resource_t colorcontainer-toime-letter - action_t colorprinter-simplex-letter - action_t colorprinter-simplexmono-letter - action_t colorfeeder-feed-letter - action_t blackfeeder-feed-letter - action_t down-movebottom-letter - action_t down-movedown-letter - action_t blackprinter-simplex-letter - action_t blackprinter-simplexandinvert-letter - action_t up-movetop-letter - action_t up-moveup-letter - action_t finisher1-stack-letter - action_t finisher2-stack-letter - action_t)
 (:action initialize
  :precondition (uninitialized)
  :effect (and (available colorcontainer_roller-rsrc) (available colorprinter_drum-rsrc) (available colorfeeder_exitnip-rsrc) (available blackfeeder_exitnip-rsrc) (available down_bottomexitnip-rsrc) (available blackprinter_drum-rsrc) (available up_topexitnip-rsrc) (available finisher1_entrynip-rsrc) (available finisher2_entrynip-rsrc) (not (uninitialized)))
 )
 (:action endcap-move-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet endcap_entry-blackcontainer_exit))
  :effect (and (location ?sheet htmoverblack_entry-endcap_exit) (not (location ?sheet endcap_entry-blackcontainer_exit)))
 )
 (:action htmoverblack-move-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet htmoverblack_entry-endcap_exit))
  :effect (and (location ?sheet htmoverblack_exit-down_topentry) (not (location ?sheet htmoverblack_entry-endcap_exit)))
 )
 (:action colorcontainer-toime-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet colorcontainer_entry-down_bottomexit) (available colorcontainer_roller-rsrc))
  :effect (and (hasallrsrcs ?sheet colorcontainer-toime-letter) (location ?sheet colorcontainer_exittoime-colorprinter_entry) (not (location ?sheet colorcontainer_entry-down_bottomexit)) (not (available colorcontainer_roller-rsrc)))
 )
 (:action colorcontainer-toime-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet colorcontainer-toime-letter)
  :effect (and (available colorcontainer_roller-rsrc) (not (hasallrsrcs ?sheet colorcontainer-toime-letter)))
 )
 (:action colorcontainer-fromime-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet colorprinter_exit-colorcontainer_entryfromime))
  :effect (and (location ?sheet colorcontainer_exit-up_bottomentry) (not (location ?sheet colorprinter_exit-colorcontainer_entryfromime)))
 )
 (:action colorprinter-simplex-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (sideup ?sheet ?face) (imagecolor ?image color) (location ?sheet colorcontainer_exittoime-colorprinter_entry) (notprintedwith ?sheet ?face color) (available colorprinter_drum-rsrc))
  :effect (and (hasallrsrcs ?sheet colorprinter-simplex-letter) (location ?sheet colorprinter_exit-colorcontainer_entryfromime) (hasimage ?sheet ?face ?image) (not (location ?sheet colorcontainer_exittoime-colorprinter_entry)) (not (notprintedwith ?sheet ?face color)) (not (available colorprinter_drum-rsrc)))
 )
 (:action colorprinter-simplex-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet colorprinter-simplex-letter)
  :effect (and (available colorprinter_drum-rsrc) (not (hasallrsrcs ?sheet colorprinter-simplex-letter)))
 )
 (:action colorprinter-simplexmono-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (sideup ?sheet ?face) (imagecolor ?image black) (location ?sheet colorcontainer_exittoime-colorprinter_entry) (notprintedwith ?sheet ?face black) (available colorprinter_drum-rsrc))
  :effect (and (hasallrsrcs ?sheet colorprinter-simplexmono-letter) (location ?sheet colorprinter_exit-colorcontainer_entryfromime) (hasimage ?sheet ?face ?image) (not (location ?sheet colorcontainer_exittoime-colorprinter_entry)) (not (notprintedwith ?sheet ?face black)) (not (available colorprinter_drum-rsrc)))
 )
 (:action colorprinter-simplexmono-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet colorprinter-simplexmono-letter)
  :effect (and (available colorprinter_drum-rsrc) (not (hasallrsrcs ?sheet colorprinter-simplexmono-letter)))
 )
 (:action colorfeeder-feed-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet some_feeder_tray) (available colorfeeder_exitnip-rsrc))
  :effect (and (hasallrsrcs ?sheet colorfeeder-feed-letter) (sideup ?sheet front) (location ?sheet down_bottomentry-colorfeeder_exit) (not (location ?sheet some_feeder_tray)) (not (available colorfeeder_exitnip-rsrc)))
 )
 (:action colorfeeder-feed-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet colorfeeder-feed-letter)
  :effect (and (available colorfeeder_exitnip-rsrc) (not (hasallrsrcs ?sheet colorfeeder-feed-letter)))
 )
 (:action blackfeeder-feed-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet some_feeder_tray) (available blackfeeder_exitnip-rsrc))
  :effect (and (hasallrsrcs ?sheet blackfeeder-feed-letter) (sideup ?sheet front) (location ?sheet blackcontainer_entry-blackfeeder_exit) (not (location ?sheet some_feeder_tray)) (not (available blackfeeder_exitnip-rsrc)))
 )
 (:action blackfeeder-feed-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet blackfeeder-feed-letter)
  :effect (and (available blackfeeder_exitnip-rsrc) (not (hasallrsrcs ?sheet blackfeeder-feed-letter)))
 )
 (:action down-movetop-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet htmoverblack_exit-down_topentry))
  :effect (and (location ?sheet down_topexit-htmovercolor_entry) (not (location ?sheet htmoverblack_exit-down_topentry)))
 )
 (:action down-movebottom-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet down_bottomentry-colorfeeder_exit))
  :effect (and (timepoint ?sheet down-movebottom-letter-t1) (not (location ?sheet down_bottomentry-colorfeeder_exit)))
 )
 (:action down-movebottom-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet down-movebottom-letter-t1) (available down_bottomexitnip-rsrc))
  :effect (and (hasallrsrcs ?sheet down-movebottom-letter) (location ?sheet colorcontainer_entry-down_bottomexit) (not (timepoint ?sheet down-movebottom-letter-t1)) (not (available down_bottomexitnip-rsrc)))
 )
 (:action down-movebottom-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet down-movebottom-letter)
  :effect (and (available down_bottomexitnip-rsrc) (not (hasallrsrcs ?sheet down-movebottom-letter)))
 )
 (:action down-movedown-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet htmoverblack_exit-down_topentry))
  :effect (and (timepoint ?sheet down-movedown-letter-t1) (not (location ?sheet htmoverblack_exit-down_topentry)))
 )
 (:action down-movedown-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet down-movedown-letter-t1) (available down_bottomexitnip-rsrc))
  :effect (and (hasallrsrcs ?sheet down-movedown-letter) (location ?sheet colorcontainer_entry-down_bottomexit) (not (timepoint ?sheet down-movedown-letter-t1)) (not (available down_bottomexitnip-rsrc)))
 )
 (:action down-movedown-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet down-movedown-letter)
  :effect (and (available down_bottomexitnip-rsrc) (not (hasallrsrcs ?sheet down-movedown-letter)))
 )
 (:action htmovercolor-move-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet down_topexit-htmovercolor_entry))
  :effect (and (location ?sheet htmovercolor_exit-up_topentry) (not (location ?sheet down_topexit-htmovercolor_entry)))
 )
 (:action blackcontainer-toime-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet blackcontainer_entry-blackfeeder_exit))
  :effect (and (location ?sheet blackcontainer_exittoime-blackprinter_entry) (not (location ?sheet blackcontainer_entry-blackfeeder_exit)))
 )
 (:action blackcontainer-fromime-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet blackprinter_exit-blackcontainer_entryfromime))
  :effect (and (location ?sheet endcap_entry-blackcontainer_exit) (not (location ?sheet blackprinter_exit-blackcontainer_entryfromime)))
 )
 (:action blackprinter-simplex-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (sideup ?sheet ?face) (imagecolor ?image black) (location ?sheet blackcontainer_exittoime-blackprinter_entry) (notprintedwith ?sheet ?face black) (available blackprinter_drum-rsrc))
  :effect (and (hasallrsrcs ?sheet blackprinter-simplex-letter) (location ?sheet blackprinter_exit-blackcontainer_entryfromime) (hasimage ?sheet ?face ?image) (not (location ?sheet blackcontainer_exittoime-blackprinter_entry)) (not (notprintedwith ?sheet ?face black)) (not (available blackprinter_drum-rsrc)))
 )
 (:action blackprinter-simplex-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet blackprinter-simplex-letter)
  :effect (and (available blackprinter_drum-rsrc) (not (hasallrsrcs ?sheet blackprinter-simplex-letter)))
 )
 (:action blackprinter-simplexandinvert-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (imagecolor ?image black) (location ?sheet blackcontainer_exittoime-blackprinter_entry) (notprintedwith ?sheet ?face black) (sideup ?sheet ?face) (available blackprinter_drum-rsrc))
  :effect (and (hasallrsrcs ?sheet blackprinter-simplexandinvert-letter) (sideup ?sheet ?otherface) (location ?sheet blackprinter_exit-blackcontainer_entryfromime) (hasimage ?sheet ?face ?image) (not (location ?sheet blackcontainer_exittoime-blackprinter_entry)) (not (notprintedwith ?sheet ?face black)) (not (sideup ?sheet ?face)) (not (available blackprinter_drum-rsrc)))
 )
 (:action blackprinter-simplexandinvert-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet blackprinter-simplexandinvert-letter)
  :effect (and (available blackprinter_drum-rsrc) (not (hasallrsrcs ?sheet blackprinter-simplexandinvert-letter)))
 )
 (:action up-movetop-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet htmovercolor_exit-up_topentry))
  :effect (and (timepoint ?sheet up-movetop-letter-t1) (not (location ?sheet htmovercolor_exit-up_topentry)))
 )
 (:action up-movetop-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet up-movetop-letter-t1) (available up_topexitnip-rsrc))
  :effect (and (hasallrsrcs ?sheet up-movetop-letter) (location ?sheet finisher1_entry-up_topexit) (not (timepoint ?sheet up-movetop-letter-t1)) (not (available up_topexitnip-rsrc)))
 )
 (:action up-movetop-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet up-movetop-letter)
  :effect (and (available up_topexitnip-rsrc) (not (hasallrsrcs ?sheet up-movetop-letter)))
 )
 (:action up-moveup-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet colorcontainer_exit-up_bottomentry))
  :effect (and (timepoint ?sheet up-moveup-letter-t1) (not (location ?sheet colorcontainer_exit-up_bottomentry)))
 )
 (:action up-moveup-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet up-moveup-letter-t1) (available up_topexitnip-rsrc))
  :effect (and (hasallrsrcs ?sheet up-moveup-letter) (location ?sheet finisher1_entry-up_topexit) (not (timepoint ?sheet up-moveup-letter-t1)) (not (available up_topexitnip-rsrc)))
 )
 (:action up-moveup-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet up-moveup-letter)
  :effect (and (available up_topexitnip-rsrc) (not (hasallrsrcs ?sheet up-moveup-letter)))
 )
 (:action finisher1-passthrough-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet finisher1_entry-up_topexit))
  :effect (and (location ?sheet finisher2_entry-finisher1_exit) (not (location ?sheet finisher1_entry-up_topexit)))
 )
 (:action finisher1-stack-letter-0
  :parameters ( ?sheet - sheet_t ?prevsheet - sheet_t)
  :precondition (and (prevsheet ?sheet ?prevsheet) (location ?prevsheet some_finisher_tray) (sheetsize ?sheet letter) (location ?sheet finisher1_entry-up_topexit) (available finisher1_entrynip-rsrc))
  :effect (and (hasallrsrcs ?sheet finisher1-stack-letter) (location ?sheet some_finisher_tray) (stackedin ?sheet finisher1_tray) (not (location ?sheet finisher1_entry-up_topexit)) (not (available finisher1_entrynip-rsrc)))
 )
 (:action finisher1-stack-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet finisher1-stack-letter)
  :effect (and (available finisher1_entrynip-rsrc) (not (hasallrsrcs ?sheet finisher1-stack-letter)))
 )
 (:action finisher2-passthrough-letter
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet finisher2_entry-finisher1_exit))
  :effect (and (location ?sheet finisher2_exit) (not (location ?sheet finisher2_entry-finisher1_exit)))
 )
 (:action finisher2-stack-letter-0
  :parameters ( ?sheet - sheet_t ?prevsheet - sheet_t)
  :precondition (and (prevsheet ?sheet ?prevsheet) (location ?prevsheet some_finisher_tray) (sheetsize ?sheet letter) (location ?sheet finisher2_entry-finisher1_exit) (available finisher2_entrynip-rsrc))
  :effect (and (hasallrsrcs ?sheet finisher2-stack-letter) (location ?sheet some_finisher_tray) (stackedin ?sheet finisher2_tray) (not (location ?sheet finisher2_entry-finisher1_exit)) (not (available finisher2_entrynip-rsrc)))
 )
 (:action finisher2-stack-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet finisher2-stack-letter)
  :effect (and (available finisher2_entrynip-rsrc) (not (hasallrsrcs ?sheet finisher2-stack-letter)))
 )
)
