(define (domain sokoban-temporal)
 (:types thing - object location - object direction - object player - thing stone - thing)
 (:predicates (clear ?l - location) (at ?t - thing ?l - location) (at-goal ?s - stone) (is-goal ?l - location) (is-nongoal ?l - location) (move-dir ?from - location ?to - location ?dir - direction))
 (:action move
  :parameters ( ?p - player ?from - location ?to - location ?dir - direction)
  :precondition (and (at ?p ?from) (clear ?to) (move-dir ?from ?to ?dir))
  :effect (and (at ?p ?to) (clear ?from) (not (at ?p ?from)) (not (clear ?to)))
 )
 (:action push-to-nongoal
  :parameters ( ?p - player ?s - stone ?ppos - location ?from - location ?to - location ?dir - direction)
  :precondition (and (at ?p ?ppos) (at ?s ?from) (clear ?to) (move-dir ?ppos ?from ?dir) (move-dir ?from ?to ?dir) (is-nongoal ?to))
  :effect (and (at ?p ?from) (at ?s ?to) (clear ?ppos) (not (at ?p ?ppos)) (not (at ?s ?from)) (not (clear ?to)) (not (at-goal ?s)))
 )
 (:action push-to-goal
  :parameters ( ?p - player ?s - stone ?ppos - location ?from - location ?to - location ?dir - direction)
  :precondition (and (at ?p ?ppos) (at ?s ?from) (clear ?to) (move-dir ?ppos ?from ?dir) (move-dir ?from ?to ?dir) (is-goal ?to))
  :effect (and (at ?p ?from) (at ?s ?to) (clear ?ppos) (at-goal ?s) (not (at ?p ?ppos)) (not (at ?s ?from)) (not (clear ?to)))
 )
)
