(define (domain etipp)
 (:types size_t - object location_t - object side_t - object color_t - object image_t - object timepoint_t - object resource_t - object action_t - object sheet_t - object)
 (:predicates (sheetsize ?sheet - sheet_t ?size - size_t) (location ?sheet - sheet_t ?location - location_t) (hasimage ?sheet - sheet_t ?side - side_t ?image - image_t) (sideup ?sheet - sheet_t ?side - side_t) (stackedin ?sheet - sheet_t ?location - location_t) (imagecolor ?image - image_t ?color - color_t) (notprintedwith ?sheet - sheet_t ?side - side_t ?color - color_t) (oppositeside ?side1 - side_t ?side2 - side_t) (timepoint ?sheet - sheet_t ?timepoint - timepoint_t) (hasallrsrcs ?sheet - sheet_t ?action - action_t) (available ?resource - resource_t) (prevsheet ?sheet1 - sheet_t ?sheet2 - sheet_t) (uninitialized))
 (:constants letter - size_t black - color_t color - color_t front - side_t back - side_t some_feeder_tray - location_t some_finisher_tray - location_t fe1_exit-im1_feedentry - location_t rh1_exit-im1_returnentry - location_t uc1_entry-im1_topexit - location_t im1_bottomexit-lc1_entry - location_t ube_entry-uc1_offramp - location_t uc1_onramp-ube_exit - location_t uc2_entry-uc1_exit - location_t lbe_entry-lc1_offramp - location_t lc1_onramp-lbe_exit - location_t lc1_exit-lc2_entry - location_t rh1_entry-rh2_exit - location_t ure_entry-uc2_offramp - location_t ure_exit-uc2_onramp - location_t uc2_exit-om_topentry - location_t ure_rodantray1 - location_t ure_rodantray2 - location_t lre_entry-lc2_offramp - location_t lc2_onramp-lre_exit - location_t om_bottomentry-lc2_exit - location_t lre_rodantray1 - location_t lre_rodantray2 - location_t om_returnexit-rh2_entry - location_t om_outputexit-sys_entry - location_t sys_outputtray - location_t fe1-feedmsi-letter-t0 - timepoint_t fe1-feed-letter-t0 - timepoint_t im1-moveupper-letter-t1 - timepoint_t im1-moveupper-letter-t2 - timepoint_t im1-movelower-letter-t1 - timepoint_t im1-movelower-letter-t2 - timepoint_t im1-loopupper-letter-t1 - timepoint_t im1-loopupper-letter-t2 - timepoint_t im1-looplower-letter-t1 - timepoint_t im1-looplower-letter-t2 - timepoint_t uc1-fmove-letter-t1 - timepoint_t uc1-fmove-letter-t2 - timepoint_t uc1-divert-letter-t0 - timepoint_t uc1-merge-letter-t1 - timepoint_t uc1-mergeinvert-letter-t1 - timepoint_t ube-simplex-letter-t1 - timepoint_t ube-simplex-letter-t2 - timepoint_t lc1-fmove-letter-t1 - timepoint_t lc1-fmove-letter-t2 - timepoint_t lc1-divert-letter-t0 - timepoint_t lc1-merge-letter-t1 - timepoint_t lc1-mergeinvert-letter-t1 - timepoint_t lbe-simplex-letter-t1 - timepoint_t lbe-simplex-letter-t2 - timepoint_t rh1-returnmove-letter-t0 - timepoint_t uc2-fmove-letter-t1 - timepoint_t uc2-fmove-letter-t2 - timepoint_t uc2-divert-letter-t0 - timepoint_t uc2-merge-letter-t1 - timepoint_t uc2-mergeinvert-letter-t1 - timepoint_t ure-simplex-letter-t1 - timepoint_t ure-simplexmono-letter-t1 - timepoint_t lc2-fmove-letter-t1 - timepoint_t lc2-fmove-letter-t2 - timepoint_t lc2-divert-letter-t0 - timepoint_t lc2-merge-letter-t1 - timepoint_t lc2-mergeinvert-letter-t1 - timepoint_t lre-simplex-letter-t1 - timepoint_t lre-simplexmono-letter-t1 - timepoint_t rh2-returnmove-letter-t0 - timepoint_t om-upperout-letter-t1 - timepoint_t om-upperout-letter-t2 - timepoint_t om-lowerout-letter-t1 - timepoint_t om-lowerout-letter-t2 - timepoint_t om-upperreturn-letter-t1 - timepoint_t om-upperreturn-letter-t2 - timepoint_t om-lowerreturn-letter-t1 - timepoint_t om-lowerreturn-letter-t2 - timepoint_t fe1_nip-rsrc - resource_t im1_feedgate-rsrc - resource_t im1_topnip-rsrc - resource_t im1_bottomnip-rsrc - resource_t im1_returngate-rsrc - resource_t uc1_inputroller-rsrc - resource_t uc1_outputroller-rsrc - resource_t uc1_gate-rsrc - resource_t ube_drum-rsrc - resource_t ube_output-rsrc - resource_t lc1_inputroller-rsrc - resource_t lc1_outputroller-rsrc - resource_t lc1_gate-rsrc - resource_t lbe_drum-rsrc - resource_t lbe_output-rsrc - resource_t rh1_roller-rsrc - resource_t uc2_inputroller-rsrc - resource_t uc2_outputroller-rsrc - resource_t uc2_gate-rsrc - resource_t ure_drum-rsrc - resource_t ure_output-rsrc - resource_t lc2_inputroller-rsrc - resource_t lc2_outputroller-rsrc - resource_t lc2_gate-rsrc - resource_t lre_drum-rsrc - resource_t lre_output-rsrc - resource_t rh2_roller-rsrc - resource_t om_outputnip-rsrc - resource_t om_topgate-rsrc - resource_t om_bottomgate-rsrc - resource_t om_returnnip-rsrc - resource_t fe1-feedmsi-letter - action_t fe1-feed-letter - action_t im1-moveupper-letter - action_t im1-movelower-letter - action_t im1-loopupper-letter - action_t im1-looplower-letter - action_t uc1-fmove-letter - action_t uc1-divert-letter - action_t uc1-merge-letter - action_t uc1-mergeinvert-letter - action_t ube-simplex-letter - action_t lc1-fmove-letter - action_t lc1-divert-letter - action_t lc1-merge-letter - action_t lc1-mergeinvert-letter - action_t lbe-simplex-letter - action_t rh1-returnmove-letter - action_t uc2-fmove-letter - action_t uc2-divert-letter - action_t uc2-merge-letter - action_t uc2-mergeinvert-letter - action_t ure-simplex-letter - action_t ure-simplexmono-letter - action_t lc2-fmove-letter - action_t lc2-divert-letter - action_t lc2-merge-letter - action_t lc2-mergeinvert-letter - action_t lre-simplex-letter - action_t lre-simplexmono-letter - action_t rh2-returnmove-letter - action_t om-upperout-letter - action_t om-lowerout-letter - action_t om-upperreturn-letter - action_t om-lowerreturn-letter - action_t)
 (:action initialize
  :precondition (uninitialized)
  :effect (and (available fe1_nip-rsrc) (available im1_feedgate-rsrc) (available im1_topnip-rsrc) (available im1_bottomnip-rsrc) (available im1_returngate-rsrc) (available uc1_inputroller-rsrc) (available uc1_outputroller-rsrc) (available uc1_gate-rsrc) (available ube_drum-rsrc) (available ube_output-rsrc) (available lc1_inputroller-rsrc) (available lc1_outputroller-rsrc) (available lc1_gate-rsrc) (available lbe_drum-rsrc) (available lbe_output-rsrc) (available rh1_roller-rsrc) (available uc2_inputroller-rsrc) (available uc2_outputroller-rsrc) (available uc2_gate-rsrc) (available ure_drum-rsrc) (available ure_output-rsrc) (available lc2_inputroller-rsrc) (available lc2_outputroller-rsrc) (available lc2_gate-rsrc) (available lre_drum-rsrc) (available lre_output-rsrc) (available rh2_roller-rsrc) (available om_outputnip-rsrc) (available om_topgate-rsrc) (available om_bottomgate-rsrc) (available om_returnnip-rsrc) (not (uninitialized)))
 )
 (:action fe1-feedmsi-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet some_feeder_tray) (available fe1_nip-rsrc))
  :effect (and (hasallrsrcs ?sheet fe1-feedmsi-letter) (sideup ?sheet back) (location ?sheet fe1_exit-im1_feedentry) (not (location ?sheet some_feeder_tray)) (not (available fe1_nip-rsrc)))
 )
 (:action fe1-feedmsi-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet fe1-feedmsi-letter)
  :effect (and (available fe1_nip-rsrc) (not (hasallrsrcs ?sheet fe1-feedmsi-letter)))
 )
 (:action fe1-feed-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet some_feeder_tray) (available fe1_nip-rsrc))
  :effect (and (hasallrsrcs ?sheet fe1-feed-letter) (sideup ?sheet back) (location ?sheet fe1_exit-im1_feedentry) (not (location ?sheet some_feeder_tray)) (not (available fe1_nip-rsrc)))
 )
 (:action fe1-feed-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet fe1-feed-letter)
  :effect (and (available fe1_nip-rsrc) (not (hasallrsrcs ?sheet fe1-feed-letter)))
 )
 (:action im1-moveupper-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet fe1_exit-im1_feedentry) (available im1_feedgate-rsrc))
  :effect (and (timepoint ?sheet im1-moveupper-letter-t1) (not (location ?sheet fe1_exit-im1_feedentry)) (not (available im1_feedgate-rsrc)))
 )
 (:action im1-moveupper-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet im1-moveupper-letter-t1)
  :effect (and (available im1_feedgate-rsrc) (timepoint ?sheet im1-moveupper-letter-t2) (not (timepoint ?sheet im1-moveupper-letter-t1)))
 )
 (:action im1-moveupper-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet im1-moveupper-letter-t2) (available im1_topnip-rsrc))
  :effect (and (hasallrsrcs ?sheet im1-moveupper-letter) (location ?sheet uc1_entry-im1_topexit) (not (timepoint ?sheet im1-moveupper-letter-t2)) (not (available im1_topnip-rsrc)))
 )
 (:action im1-moveupper-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet im1-moveupper-letter)
  :effect (and (available im1_topnip-rsrc) (not (hasallrsrcs ?sheet im1-moveupper-letter)))
 )
 (:action im1-movelower-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet fe1_exit-im1_feedentry) (available im1_feedgate-rsrc))
  :effect (and (timepoint ?sheet im1-movelower-letter-t1) (not (location ?sheet fe1_exit-im1_feedentry)) (not (available im1_feedgate-rsrc)))
 )
 (:action im1-movelower-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet im1-movelower-letter-t1)
  :effect (and (available im1_feedgate-rsrc) (timepoint ?sheet im1-movelower-letter-t2) (not (timepoint ?sheet im1-movelower-letter-t1)))
 )
 (:action im1-movelower-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet im1-movelower-letter-t2) (available im1_bottomnip-rsrc))
  :effect (and (hasallrsrcs ?sheet im1-movelower-letter) (location ?sheet im1_bottomexit-lc1_entry) (not (timepoint ?sheet im1-movelower-letter-t2)) (not (available im1_bottomnip-rsrc)))
 )
 (:action im1-movelower-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet im1-movelower-letter)
  :effect (and (available im1_bottomnip-rsrc) (not (hasallrsrcs ?sheet im1-movelower-letter)))
 )
 (:action im1-loopupper-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet rh1_exit-im1_returnentry) (available im1_returngate-rsrc))
  :effect (and (timepoint ?sheet im1-loopupper-letter-t1) (not (location ?sheet rh1_exit-im1_returnentry)) (not (available im1_returngate-rsrc)))
 )
 (:action im1-loopupper-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet im1-loopupper-letter-t1)
  :effect (and (available im1_returngate-rsrc) (timepoint ?sheet im1-loopupper-letter-t2) (not (timepoint ?sheet im1-loopupper-letter-t1)))
 )
 (:action im1-loopupper-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet im1-loopupper-letter-t2) (available im1_topnip-rsrc))
  :effect (and (hasallrsrcs ?sheet im1-loopupper-letter) (location ?sheet uc1_entry-im1_topexit) (not (timepoint ?sheet im1-loopupper-letter-t2)) (not (available im1_topnip-rsrc)))
 )
 (:action im1-loopupper-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet im1-loopupper-letter)
  :effect (and (available im1_topnip-rsrc) (not (hasallrsrcs ?sheet im1-loopupper-letter)))
 )
 (:action im1-looplower-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet rh1_exit-im1_returnentry) (available im1_returngate-rsrc))
  :effect (and (timepoint ?sheet im1-looplower-letter-t1) (not (location ?sheet rh1_exit-im1_returnentry)) (not (available im1_returngate-rsrc)))
 )
 (:action im1-looplower-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet im1-looplower-letter-t1)
  :effect (and (available im1_returngate-rsrc) (timepoint ?sheet im1-looplower-letter-t2) (not (timepoint ?sheet im1-looplower-letter-t1)))
 )
 (:action im1-looplower-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet im1-looplower-letter-t2) (available im1_bottomnip-rsrc))
  :effect (and (hasallrsrcs ?sheet im1-looplower-letter) (location ?sheet im1_bottomexit-lc1_entry) (not (timepoint ?sheet im1-looplower-letter-t2)) (not (available im1_bottomnip-rsrc)))
 )
 (:action im1-looplower-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet im1-looplower-letter)
  :effect (and (available im1_bottomnip-rsrc) (not (hasallrsrcs ?sheet im1-looplower-letter)))
 )
 (:action uc1-fmove-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet uc1_entry-im1_topexit) (available uc1_inputroller-rsrc))
  :effect (and (timepoint ?sheet uc1-fmove-letter-t1) (not (location ?sheet uc1_entry-im1_topexit)) (not (available uc1_inputroller-rsrc)))
 )
 (:action uc1-fmove-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet uc1-fmove-letter-t1)
  :effect (and (available uc1_inputroller-rsrc) (timepoint ?sheet uc1-fmove-letter-t2) (not (timepoint ?sheet uc1-fmove-letter-t1)))
 )
 (:action uc1-fmove-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet uc1-fmove-letter-t2) (available uc1_outputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet uc1-fmove-letter) (location ?sheet uc2_entry-uc1_exit) (not (timepoint ?sheet uc1-fmove-letter-t2)) (not (available uc1_outputroller-rsrc)))
 )
 (:action uc1-fmove-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet uc1-fmove-letter)
  :effect (and (available uc1_outputroller-rsrc) (not (hasallrsrcs ?sheet uc1-fmove-letter)))
 )
 (:action uc1-divert-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (location ?sheet uc1_entry-im1_topexit) (sideup ?sheet ?face) (available uc1_gate-rsrc) (available uc1_inputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet uc1-divert-letter) (sideup ?sheet ?otherface) (location ?sheet ube_entry-uc1_offramp) (not (location ?sheet uc1_entry-im1_topexit)) (not (sideup ?sheet ?face)) (not (available uc1_gate-rsrc)) (not (available uc1_inputroller-rsrc)))
 )
 (:action uc1-divert-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet uc1-divert-letter)
  :effect  (available uc1_inputroller-rsrc)
 )
 (:action uc1-divert-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet uc1-divert-letter)
  :effect (and (available uc1_gate-rsrc) (not (hasallrsrcs ?sheet uc1-divert-letter)))
 )
 (:action uc1-merge-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet uc1_onramp-ube_exit))
  :effect (and (timepoint ?sheet uc1-merge-letter-t1) (not (location ?sheet uc1_onramp-ube_exit)))
 )
 (:action uc1-merge-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet uc1-merge-letter-t1) (available uc1_outputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet uc1-merge-letter) (location ?sheet uc2_entry-uc1_exit) (not (timepoint ?sheet uc1-merge-letter-t1)) (not (available uc1_outputroller-rsrc)))
 )
 (:action uc1-merge-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet uc1-merge-letter)
  :effect (and (available uc1_outputroller-rsrc) (not (hasallrsrcs ?sheet uc1-merge-letter)))
 )
 (:action uc1-mergeinvert-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (location ?sheet uc1_onramp-ube_exit) (sideup ?sheet ?face))
  :effect (and (sideup ?sheet ?otherface) (timepoint ?sheet uc1-mergeinvert-letter-t1) (not (location ?sheet uc1_onramp-ube_exit)) (not (sideup ?sheet ?face)))
 )
 (:action uc1-mergeinvert-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet uc1-mergeinvert-letter-t1) (available uc1_outputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet uc1-mergeinvert-letter) (location ?sheet uc2_entry-uc1_exit) (not (timepoint ?sheet uc1-mergeinvert-letter-t1)) (not (available uc1_outputroller-rsrc)))
 )
 (:action uc1-mergeinvert-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet uc1-mergeinvert-letter)
  :effect (and (available uc1_outputroller-rsrc) (not (hasallrsrcs ?sheet uc1-mergeinvert-letter)))
 )
 (:action ube-simplex-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (sideup ?sheet ?face) (imagecolor ?image black) (location ?sheet ube_entry-uc1_offramp) (notprintedwith ?sheet ?face black) (available ube_drum-rsrc))
  :effect (and (timepoint ?sheet ube-simplex-letter-t1) (not (location ?sheet ube_entry-uc1_offramp)) (not (notprintedwith ?sheet ?face black)) (not (available ube_drum-rsrc)))
 )
 (:action ube-simplex-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet ube-simplex-letter-t1)
  :effect (and (available ube_drum-rsrc) (timepoint ?sheet ube-simplex-letter-t2) (not (timepoint ?sheet ube-simplex-letter-t1)))
 )
 (:action ube-simplex-letter-2
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (timepoint ?sheet ube-simplex-letter-t2) (available ube_output-rsrc) (sideup ?sheet ?face) (imagecolor ?image black))
  :effect (and (hasallrsrcs ?sheet ube-simplex-letter) (location ?sheet uc1_onramp-ube_exit) (hasimage ?sheet ?face ?image) (not (timepoint ?sheet ube-simplex-letter-t2)) (not (available ube_output-rsrc)))
 )
 (:action ube-simplex-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet ube-simplex-letter)
  :effect (and (available ube_output-rsrc) (not (hasallrsrcs ?sheet ube-simplex-letter)))
 )
 (:action lc1-fmove-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet im1_bottomexit-lc1_entry) (available lc1_inputroller-rsrc))
  :effect (and (timepoint ?sheet lc1-fmove-letter-t1) (not (location ?sheet im1_bottomexit-lc1_entry)) (not (available lc1_inputroller-rsrc)))
 )
 (:action lc1-fmove-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet lc1-fmove-letter-t1)
  :effect (and (available lc1_inputroller-rsrc) (timepoint ?sheet lc1-fmove-letter-t2) (not (timepoint ?sheet lc1-fmove-letter-t1)))
 )
 (:action lc1-fmove-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet lc1-fmove-letter-t2) (available lc1_outputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet lc1-fmove-letter) (location ?sheet lc1_exit-lc2_entry) (not (timepoint ?sheet lc1-fmove-letter-t2)) (not (available lc1_outputroller-rsrc)))
 )
 (:action lc1-fmove-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lc1-fmove-letter)
  :effect (and (available lc1_outputroller-rsrc) (not (hasallrsrcs ?sheet lc1-fmove-letter)))
 )
 (:action lc1-divert-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (location ?sheet im1_bottomexit-lc1_entry) (sideup ?sheet ?face) (available lc1_gate-rsrc) (available lc1_inputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet lc1-divert-letter) (sideup ?sheet ?otherface) (location ?sheet lbe_entry-lc1_offramp) (not (location ?sheet im1_bottomexit-lc1_entry)) (not (sideup ?sheet ?face)) (not (available lc1_gate-rsrc)) (not (available lc1_inputroller-rsrc)))
 )
 (:action lc1-divert-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lc1-divert-letter)
  :effect  (available lc1_inputroller-rsrc)
 )
 (:action lc1-divert-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lc1-divert-letter)
  :effect (and (available lc1_gate-rsrc) (not (hasallrsrcs ?sheet lc1-divert-letter)))
 )
 (:action lc1-merge-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet lc1_onramp-lbe_exit))
  :effect (and (timepoint ?sheet lc1-merge-letter-t1) (not (location ?sheet lc1_onramp-lbe_exit)))
 )
 (:action lc1-merge-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet lc1-merge-letter-t1) (available lc1_outputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet lc1-merge-letter) (location ?sheet lc1_exit-lc2_entry) (not (timepoint ?sheet lc1-merge-letter-t1)) (not (available lc1_outputroller-rsrc)))
 )
 (:action lc1-merge-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lc1-merge-letter)
  :effect (and (available lc1_outputroller-rsrc) (not (hasallrsrcs ?sheet lc1-merge-letter)))
 )
 (:action lc1-mergeinvert-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (location ?sheet lc1_onramp-lbe_exit) (sideup ?sheet ?face))
  :effect (and (sideup ?sheet ?otherface) (timepoint ?sheet lc1-mergeinvert-letter-t1) (not (location ?sheet lc1_onramp-lbe_exit)) (not (sideup ?sheet ?face)))
 )
 (:action lc1-mergeinvert-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet lc1-mergeinvert-letter-t1) (available lc1_outputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet lc1-mergeinvert-letter) (location ?sheet lc1_exit-lc2_entry) (not (timepoint ?sheet lc1-mergeinvert-letter-t1)) (not (available lc1_outputroller-rsrc)))
 )
 (:action lc1-mergeinvert-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lc1-mergeinvert-letter)
  :effect (and (available lc1_outputroller-rsrc) (not (hasallrsrcs ?sheet lc1-mergeinvert-letter)))
 )
 (:action lbe-simplex-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (sideup ?sheet ?face) (imagecolor ?image black) (location ?sheet lbe_entry-lc1_offramp) (notprintedwith ?sheet ?face black) (available lbe_drum-rsrc))
  :effect (and (timepoint ?sheet lbe-simplex-letter-t1) (not (location ?sheet lbe_entry-lc1_offramp)) (not (notprintedwith ?sheet ?face black)) (not (available lbe_drum-rsrc)))
 )
 (:action lbe-simplex-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet lbe-simplex-letter-t1)
  :effect (and (available lbe_drum-rsrc) (timepoint ?sheet lbe-simplex-letter-t2) (not (timepoint ?sheet lbe-simplex-letter-t1)))
 )
 (:action lbe-simplex-letter-2
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (timepoint ?sheet lbe-simplex-letter-t2) (available lbe_output-rsrc) (sideup ?sheet ?face) (imagecolor ?image black))
  :effect (and (hasallrsrcs ?sheet lbe-simplex-letter) (location ?sheet lc1_onramp-lbe_exit) (hasimage ?sheet ?face ?image) (not (timepoint ?sheet lbe-simplex-letter-t2)) (not (available lbe_output-rsrc)))
 )
 (:action lbe-simplex-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lbe-simplex-letter)
  :effect (and (available lbe_output-rsrc) (not (hasallrsrcs ?sheet lbe-simplex-letter)))
 )
 (:action rh1-returnmove-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet rh1_entry-rh2_exit) (available rh1_roller-rsrc))
  :effect (and (hasallrsrcs ?sheet rh1-returnmove-letter) (location ?sheet rh1_exit-im1_returnentry) (not (location ?sheet rh1_entry-rh2_exit)) (not (available rh1_roller-rsrc)))
 )
 (:action rh1-returnmove-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet rh1-returnmove-letter)
  :effect (and (available rh1_roller-rsrc) (not (hasallrsrcs ?sheet rh1-returnmove-letter)))
 )
 (:action uc2-fmove-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet uc2_entry-uc1_exit) (available uc2_inputroller-rsrc))
  :effect (and (timepoint ?sheet uc2-fmove-letter-t1) (not (location ?sheet uc2_entry-uc1_exit)) (not (available uc2_inputroller-rsrc)))
 )
 (:action uc2-fmove-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet uc2-fmove-letter-t1)
  :effect (and (available uc2_inputroller-rsrc) (timepoint ?sheet uc2-fmove-letter-t2) (not (timepoint ?sheet uc2-fmove-letter-t1)))
 )
 (:action uc2-fmove-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet uc2-fmove-letter-t2) (available uc2_outputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet uc2-fmove-letter) (location ?sheet uc2_exit-om_topentry) (not (timepoint ?sheet uc2-fmove-letter-t2)) (not (available uc2_outputroller-rsrc)))
 )
 (:action uc2-fmove-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet uc2-fmove-letter)
  :effect (and (available uc2_outputroller-rsrc) (not (hasallrsrcs ?sheet uc2-fmove-letter)))
 )
 (:action uc2-divert-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (location ?sheet uc2_entry-uc1_exit) (sideup ?sheet ?face) (available uc2_gate-rsrc) (available uc2_inputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet uc2-divert-letter) (sideup ?sheet ?otherface) (location ?sheet ure_entry-uc2_offramp) (not (location ?sheet uc2_entry-uc1_exit)) (not (sideup ?sheet ?face)) (not (available uc2_gate-rsrc)) (not (available uc2_inputroller-rsrc)))
 )
 (:action uc2-divert-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet uc2-divert-letter)
  :effect  (available uc2_inputroller-rsrc)
 )
 (:action uc2-divert-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet uc2-divert-letter)
  :effect (and (available uc2_gate-rsrc) (not (hasallrsrcs ?sheet uc2-divert-letter)))
 )
 (:action uc2-merge-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (location ?sheet ure_exit-uc2_onramp) (sideup ?sheet ?face))
  :effect (and (sideup ?sheet ?otherface) (timepoint ?sheet uc2-merge-letter-t1) (not (location ?sheet ure_exit-uc2_onramp)) (not (sideup ?sheet ?face)))
 )
 (:action uc2-merge-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet uc2-merge-letter-t1) (available uc2_outputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet uc2-merge-letter) (location ?sheet uc2_exit-om_topentry) (not (timepoint ?sheet uc2-merge-letter-t1)) (not (available uc2_outputroller-rsrc)))
 )
 (:action uc2-merge-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet uc2-merge-letter)
  :effect (and (available uc2_outputroller-rsrc) (not (hasallrsrcs ?sheet uc2-merge-letter)))
 )
 (:action uc2-mergeinvert-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet ure_exit-uc2_onramp))
  :effect (and (timepoint ?sheet uc2-mergeinvert-letter-t1) (not (location ?sheet ure_exit-uc2_onramp)))
 )
 (:action uc2-mergeinvert-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet uc2-mergeinvert-letter-t1) (available uc2_outputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet uc2-mergeinvert-letter) (location ?sheet uc2_exit-om_topentry) (not (timepoint ?sheet uc2-mergeinvert-letter-t1)) (not (available uc2_outputroller-rsrc)))
 )
 (:action uc2-mergeinvert-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet uc2-mergeinvert-letter)
  :effect (and (available uc2_outputroller-rsrc) (not (hasallrsrcs ?sheet uc2-mergeinvert-letter)))
 )
 (:action ure-simplex-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (sideup ?sheet ?face) (imagecolor ?image color) (location ?sheet ure_entry-uc2_offramp) (notprintedwith ?sheet ?face color) (available ure_drum-rsrc))
  :effect (and (timepoint ?sheet ure-simplex-letter-t1) (not (location ?sheet ure_entry-uc2_offramp)) (not (notprintedwith ?sheet ?face color)) (not (available ure_drum-rsrc)))
 )
 (:action ure-simplex-letter-1
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (timepoint ?sheet ure-simplex-letter-t1) (available ure_output-rsrc) (sideup ?sheet ?face) (imagecolor ?image color))
  :effect (and (hasallrsrcs ?sheet ure-simplex-letter) (location ?sheet ure_exit-uc2_onramp) (hasimage ?sheet ?face ?image) (not (timepoint ?sheet ure-simplex-letter-t1)) (not (available ure_output-rsrc)))
 )
 (:action ure-simplex-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet ure-simplex-letter)
  :effect  (available ure_drum-rsrc)
 )
 (:action ure-simplex-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet ure-simplex-letter)
  :effect (and (available ure_output-rsrc) (not (hasallrsrcs ?sheet ure-simplex-letter)))
 )
 (:action ure-simplexmono-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (sideup ?sheet ?face) (imagecolor ?image black) (location ?sheet ure_entry-uc2_offramp) (notprintedwith ?sheet ?face black) (available ure_drum-rsrc))
  :effect (and (timepoint ?sheet ure-simplexmono-letter-t1) (not (location ?sheet ure_entry-uc2_offramp)) (not (notprintedwith ?sheet ?face black)) (not (available ure_drum-rsrc)))
 )
 (:action ure-simplexmono-letter-1
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (timepoint ?sheet ure-simplexmono-letter-t1) (available ure_output-rsrc) (sideup ?sheet ?face) (imagecolor ?image black))
  :effect (and (hasallrsrcs ?sheet ure-simplexmono-letter) (location ?sheet ure_exit-uc2_onramp) (hasimage ?sheet ?face ?image) (not (timepoint ?sheet ure-simplexmono-letter-t1)) (not (available ure_output-rsrc)))
 )
 (:action ure-simplexmono-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet ure-simplexmono-letter)
  :effect  (available ure_drum-rsrc)
 )
 (:action ure-simplexmono-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet ure-simplexmono-letter)
  :effect (and (available ure_output-rsrc) (not (hasallrsrcs ?sheet ure-simplexmono-letter)))
 )
 (:action lc2-fmove-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet lc1_exit-lc2_entry) (available lc2_inputroller-rsrc))
  :effect (and (timepoint ?sheet lc2-fmove-letter-t1) (not (location ?sheet lc1_exit-lc2_entry)) (not (available lc2_inputroller-rsrc)))
 )
 (:action lc2-fmove-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet lc2-fmove-letter-t1)
  :effect (and (available lc2_inputroller-rsrc) (timepoint ?sheet lc2-fmove-letter-t2) (not (timepoint ?sheet lc2-fmove-letter-t1)))
 )
 (:action lc2-fmove-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet lc2-fmove-letter-t2) (available lc2_outputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet lc2-fmove-letter) (location ?sheet om_bottomentry-lc2_exit) (not (timepoint ?sheet lc2-fmove-letter-t2)) (not (available lc2_outputroller-rsrc)))
 )
 (:action lc2-fmove-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lc2-fmove-letter)
  :effect (and (available lc2_outputroller-rsrc) (not (hasallrsrcs ?sheet lc2-fmove-letter)))
 )
 (:action lc2-divert-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (location ?sheet lc1_exit-lc2_entry) (sideup ?sheet ?face) (available lc2_gate-rsrc) (available lc2_inputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet lc2-divert-letter) (sideup ?sheet ?otherface) (location ?sheet lre_entry-lc2_offramp) (not (location ?sheet lc1_exit-lc2_entry)) (not (sideup ?sheet ?face)) (not (available lc2_gate-rsrc)) (not (available lc2_inputroller-rsrc)))
 )
 (:action lc2-divert-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lc2-divert-letter)
  :effect  (available lc2_inputroller-rsrc)
 )
 (:action lc2-divert-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lc2-divert-letter)
  :effect (and (available lc2_gate-rsrc) (not (hasallrsrcs ?sheet lc2-divert-letter)))
 )
 (:action lc2-merge-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?otherface - side_t)
  :precondition (and (sheetsize ?sheet letter) (oppositeside ?face ?otherface) (location ?sheet lc2_onramp-lre_exit) (sideup ?sheet ?face))
  :effect (and (sideup ?sheet ?otherface) (timepoint ?sheet lc2-merge-letter-t1) (not (location ?sheet lc2_onramp-lre_exit)) (not (sideup ?sheet ?face)))
 )
 (:action lc2-merge-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet lc2-merge-letter-t1) (available lc2_outputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet lc2-merge-letter) (location ?sheet om_bottomentry-lc2_exit) (not (timepoint ?sheet lc2-merge-letter-t1)) (not (available lc2_outputroller-rsrc)))
 )
 (:action lc2-merge-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lc2-merge-letter)
  :effect (and (available lc2_outputroller-rsrc) (not (hasallrsrcs ?sheet lc2-merge-letter)))
 )
 (:action lc2-mergeinvert-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet lc2_onramp-lre_exit))
  :effect (and (timepoint ?sheet lc2-mergeinvert-letter-t1) (not (location ?sheet lc2_onramp-lre_exit)))
 )
 (:action lc2-mergeinvert-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet lc2-mergeinvert-letter-t1) (available lc2_outputroller-rsrc))
  :effect (and (hasallrsrcs ?sheet lc2-mergeinvert-letter) (location ?sheet om_bottomentry-lc2_exit) (not (timepoint ?sheet lc2-mergeinvert-letter-t1)) (not (available lc2_outputroller-rsrc)))
 )
 (:action lc2-mergeinvert-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lc2-mergeinvert-letter)
  :effect (and (available lc2_outputroller-rsrc) (not (hasallrsrcs ?sheet lc2-mergeinvert-letter)))
 )
 (:action lre-simplex-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (sideup ?sheet ?face) (imagecolor ?image color) (location ?sheet lre_entry-lc2_offramp) (notprintedwith ?sheet ?face color) (available lre_drum-rsrc))
  :effect (and (timepoint ?sheet lre-simplex-letter-t1) (not (location ?sheet lre_entry-lc2_offramp)) (not (notprintedwith ?sheet ?face color)) (not (available lre_drum-rsrc)))
 )
 (:action lre-simplex-letter-1
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (timepoint ?sheet lre-simplex-letter-t1) (available lre_output-rsrc) (sideup ?sheet ?face) (imagecolor ?image color))
  :effect (and (hasallrsrcs ?sheet lre-simplex-letter) (location ?sheet lc2_onramp-lre_exit) (hasimage ?sheet ?face ?image) (not (timepoint ?sheet lre-simplex-letter-t1)) (not (available lre_output-rsrc)))
 )
 (:action lre-simplex-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lre-simplex-letter)
  :effect  (available lre_drum-rsrc)
 )
 (:action lre-simplex-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lre-simplex-letter)
  :effect (and (available lre_output-rsrc) (not (hasallrsrcs ?sheet lre-simplex-letter)))
 )
 (:action lre-simplexmono-letter-0
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (sheetsize ?sheet letter) (sideup ?sheet ?face) (imagecolor ?image black) (location ?sheet lre_entry-lc2_offramp) (notprintedwith ?sheet ?face black) (available lre_drum-rsrc))
  :effect (and (timepoint ?sheet lre-simplexmono-letter-t1) (not (location ?sheet lre_entry-lc2_offramp)) (not (notprintedwith ?sheet ?face black)) (not (available lre_drum-rsrc)))
 )
 (:action lre-simplexmono-letter-1
  :parameters ( ?sheet - sheet_t ?face - side_t ?image - image_t)
  :precondition (and (timepoint ?sheet lre-simplexmono-letter-t1) (available lre_output-rsrc) (sideup ?sheet ?face) (imagecolor ?image black))
  :effect (and (hasallrsrcs ?sheet lre-simplexmono-letter) (location ?sheet lc2_onramp-lre_exit) (hasimage ?sheet ?face ?image) (not (timepoint ?sheet lre-simplexmono-letter-t1)) (not (available lre_output-rsrc)))
 )
 (:action lre-simplexmono-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lre-simplexmono-letter)
  :effect  (available lre_drum-rsrc)
 )
 (:action lre-simplexmono-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet lre-simplexmono-letter)
  :effect (and (available lre_output-rsrc) (not (hasallrsrcs ?sheet lre-simplexmono-letter)))
 )
 (:action rh2-returnmove-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet om_returnexit-rh2_entry) (available rh2_roller-rsrc))
  :effect (and (hasallrsrcs ?sheet rh2-returnmove-letter) (location ?sheet rh1_entry-rh2_exit) (not (location ?sheet om_returnexit-rh2_entry)) (not (available rh2_roller-rsrc)))
 )
 (:action rh2-returnmove-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet rh2-returnmove-letter)
  :effect (and (available rh2_roller-rsrc) (not (hasallrsrcs ?sheet rh2-returnmove-letter)))
 )
 (:action om-upperout-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet uc2_exit-om_topentry) (available om_topgate-rsrc))
  :effect (and (timepoint ?sheet om-upperout-letter-t1) (not (location ?sheet uc2_exit-om_topentry)) (not (available om_topgate-rsrc)))
 )
 (:action om-upperout-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet om-upperout-letter-t1)
  :effect (and (available om_topgate-rsrc) (timepoint ?sheet om-upperout-letter-t2) (not (timepoint ?sheet om-upperout-letter-t1)))
 )
 (:action om-upperout-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet om-upperout-letter-t2) (available om_outputnip-rsrc))
  :effect (and (hasallrsrcs ?sheet om-upperout-letter) (location ?sheet om_outputexit-sys_entry) (not (timepoint ?sheet om-upperout-letter-t2)) (not (available om_outputnip-rsrc)))
 )
 (:action om-upperout-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet om-upperout-letter)
  :effect (and (available om_outputnip-rsrc) (not (hasallrsrcs ?sheet om-upperout-letter)))
 )
 (:action om-lowerout-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet om_bottomentry-lc2_exit) (available om_bottomgate-rsrc))
  :effect (and (timepoint ?sheet om-lowerout-letter-t1) (not (location ?sheet om_bottomentry-lc2_exit)) (not (available om_bottomgate-rsrc)))
 )
 (:action om-lowerout-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet om-lowerout-letter-t1)
  :effect (and (available om_bottomgate-rsrc) (timepoint ?sheet om-lowerout-letter-t2) (not (timepoint ?sheet om-lowerout-letter-t1)))
 )
 (:action om-lowerout-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet om-lowerout-letter-t2) (available om_outputnip-rsrc))
  :effect (and (hasallrsrcs ?sheet om-lowerout-letter) (location ?sheet om_outputexit-sys_entry) (not (timepoint ?sheet om-lowerout-letter-t2)) (not (available om_outputnip-rsrc)))
 )
 (:action om-lowerout-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet om-lowerout-letter)
  :effect (and (available om_outputnip-rsrc) (not (hasallrsrcs ?sheet om-lowerout-letter)))
 )
 (:action om-upperreturn-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet uc2_exit-om_topentry) (available om_topgate-rsrc))
  :effect (and (timepoint ?sheet om-upperreturn-letter-t1) (not (location ?sheet uc2_exit-om_topentry)) (not (available om_topgate-rsrc)))
 )
 (:action om-upperreturn-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet om-upperreturn-letter-t1)
  :effect (and (available om_topgate-rsrc) (timepoint ?sheet om-upperreturn-letter-t2) (not (timepoint ?sheet om-upperreturn-letter-t1)))
 )
 (:action om-upperreturn-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet om-upperreturn-letter-t2) (available om_returnnip-rsrc))
  :effect (and (hasallrsrcs ?sheet om-upperreturn-letter) (location ?sheet om_returnexit-rh2_entry) (not (timepoint ?sheet om-upperreturn-letter-t2)) (not (available om_returnnip-rsrc)))
 )
 (:action om-upperreturn-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet om-upperreturn-letter)
  :effect (and (available om_returnnip-rsrc) (not (hasallrsrcs ?sheet om-upperreturn-letter)))
 )
 (:action om-lowerreturn-letter-0
  :parameters ( ?sheet - sheet_t)
  :precondition (and (sheetsize ?sheet letter) (location ?sheet om_bottomentry-lc2_exit) (available om_bottomgate-rsrc))
  :effect (and (timepoint ?sheet om-lowerreturn-letter-t1) (not (location ?sheet om_bottomentry-lc2_exit)) (not (available om_bottomgate-rsrc)))
 )
 (:action om-lowerreturn-letter-1
  :parameters ( ?sheet - sheet_t)
  :precondition (timepoint ?sheet om-lowerreturn-letter-t1)
  :effect (and (available om_bottomgate-rsrc) (timepoint ?sheet om-lowerreturn-letter-t2) (not (timepoint ?sheet om-lowerreturn-letter-t1)))
 )
 (:action om-lowerreturn-letter-2
  :parameters ( ?sheet - sheet_t)
  :precondition (and (timepoint ?sheet om-lowerreturn-letter-t2) (available om_returnnip-rsrc))
  :effect (and (hasallrsrcs ?sheet om-lowerreturn-letter) (location ?sheet om_returnexit-rh2_entry) (not (timepoint ?sheet om-lowerreturn-letter-t2)) (not (available om_returnnip-rsrc)))
 )
 (:action om-lowerreturn-letter-3
  :parameters ( ?sheet - sheet_t)
  :precondition (hasallrsrcs ?sheet om-lowerreturn-letter)
  :effect (and (available om_returnnip-rsrc) (not (hasallrsrcs ?sheet om-lowerreturn-letter)))
 )
 (:action sys-stack-letter
  :parameters ( ?sheet - sheet_t ?prevsheet - sheet_t)
  :precondition (and (prevsheet ?sheet ?prevsheet) (location ?prevsheet some_finisher_tray) (sheetsize ?sheet letter) (location ?sheet om_outputexit-sys_entry))
  :effect (and (location ?sheet some_finisher_tray) (stackedin ?sheet sys_outputtray) (not (location ?sheet om_outputexit-sys_entry)))
 )
)
